aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDundar Göc <gocdundar@gmail.com>2022-02-06 12:55:28 +0100
committerDundar Göc <gocdundar@gmail.com>2022-02-10 09:43:51 +0100
commitb8529ea9b85d9c521fe881f03a4ed475c6558693 (patch)
tree5b9d573311d0d2d5a7d9fb080415cc2271895692
parentf30ce7d273cb4792f8f0354e4ae80c888a019e9e (diff)
downloadrneovim-b8529ea9b85d9c521fe881f03a4ed475c6558693.tar.gz
rneovim-b8529ea9b85d9c521fe881f03a4ed475c6558693.tar.bz2
rneovim-b8529ea9b85d9c521fe881f03a4ed475c6558693.zip
ci: run all tests with run_suite function
-rw-r--r--ci/common/suite.sh2
-rw-r--r--ci/common/test.sh11
-rwxr-xr-xci/run_tests.sh8
3 files changed, 5 insertions, 16 deletions
diff --git a/ci/common/suite.sh b/ci/common/suite.sh
index f6a8c22d21..0c01f3a0ef 100644
--- a/ci/common/suite.sh
+++ b/ci/common/suite.sh
@@ -50,9 +50,7 @@ exit_suite() {
if test "$1" != "--continue" ; then
exit $FAILED
else
- local saved_failed=$FAILED
FAILED=0
- return $saved_failed
fi
}
diff --git a/ci/common/test.sh b/ci/common/test.sh
index 798f2926c6..7d3c4c8b08 100644
--- a/ci/common/test.sh
+++ b/ci/common/test.sh
@@ -87,18 +87,15 @@ check_sanitizer() {
}
run_unittests() {(
- enter_suite unittests
ulimit -c unlimited || true
if ! build_make unittest ; then
fail 'unittests' F 'Unit tests failed'
fi
submit_coverage unittest
check_core_dumps "$(command -v luajit)"
- exit_suite
)}
run_functionaltests() {(
- enter_suite functionaltests
ulimit -c unlimited || true
if ! build_make ${FUNCTIONALTEST}; then
fail 'functionaltests' F 'Functional tests failed'
@@ -107,11 +104,9 @@ run_functionaltests() {(
check_sanitizer "${LOG_DIR}"
valgrind_check "${LOG_DIR}"
check_core_dumps
- exit_suite
)}
run_oldtests() {(
- enter_suite oldtests
ulimit -c unlimited || true
if ! make oldtest; then
reset
@@ -121,7 +116,6 @@ run_oldtests() {(
check_sanitizer "${LOG_DIR}"
valgrind_check "${LOG_DIR}"
check_core_dumps
- exit_suite
)}
check_runtime_files() {(
@@ -146,10 +140,9 @@ check_runtime_files() {(
)}
install_nvim() {(
- enter_suite 'install_nvim'
if ! build_make install ; then
fail 'install' E 'make install failed'
- exit_suite
+ exit_suite --continue
fi
"${INSTALL_PREFIX}/bin/nvim" --version
@@ -179,6 +172,4 @@ install_nvim() {(
if ! grep -q "$gpat" "${INSTALL_PREFIX}/share/nvim/runtime/$genvimsynf" ; then
fail 'funcnames' F "It appears that $genvimsynf does not contain $gpat."
fi
-
- exit_suite
)}
diff --git a/ci/run_tests.sh b/ci/run_tests.sh
index e6d8dc8ca8..e18c259205 100755
--- a/ci/run_tests.sh
+++ b/ci/run_tests.sh
@@ -8,12 +8,12 @@ run_tests(){
# Additional threads are only created when the builtin UI starts, which
# doesn't happen in the unit/functional tests
if test "${FUNCTIONALTEST}" != "functionaltest-lua"; then
- run_test run_unittests unittests
+ run_suite run_unittests unittests
fi
- run_test run_functionaltests functionaltests
+ run_suite run_functionaltests functionaltests
fi
- run_test run_oldtests oldtests
- run_test install_nvim install_nvim
+ run_suite run_oldtests oldtests
+ run_suite install_nvim install_nvim
}
CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"